package com.zipcodewilmington.bankaccountlab;

/**
 * Created by leon on 1/10/18.
 */
public abstract class BankAccount {

    private String name;

    private double amount;

    public BankAccount(String name, double amount){
        this.amount = amount;
        this.name = name;
    }

    public double getAmount(){
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    public double depositMoney(double deposit){
        double balance = amount + deposit;
        setAmount(balance);
        return balance;
    }
    public abstract String accountName();




    public abstract double withDraw(double amountToWithdraw);


}
