package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Test;


public class SavingsAccountTest {

    SavingsAccount account = new SavingsAccount("Roy", 800 );

    @Test
    public void savingDepositTest (){
        double expected = account.depositMoney(800);
        double actual = 1600.00;

        Assert.assertEquals(expected, actual, 2);

    }

    @Test
    public void savingsWithdrawTest(){
        double expected = account.withDraw(600);
        double actual = 800;
        Assert.assertEquals(expected, actual, 2);
    }

}
