package com.zipcodewilmington.bankaccountlab;

public class SavingsAccount extends BankAccount{
    private int count = 0;
    public SavingsAccount(String name, double amount){
        super(name, amount);
    }

    public double withDraw(double amountToWithdraw) {

        if (amountToWithdraw < super.getAmount()) {
            if (amountToWithdraw > 500) {
                amountToWithdraw = 0;
            }
            count++;
            if (count > 2) {
                System.out.println("Exceeded transactions");
                amountToWithdraw = 0;
            }

        }
        double balance = super.getAmount() - amountToWithdraw;
        super.setAmount(balance);


        return balance;
    }

    public String accountName(){
        return "savings";
    }

}
